# 即梦3 文生图

**方法**: `POST`
**路径**: `/v1/images/generations`

<https://www.volcengine.com/docs/82379/1541523>

## 请求参数

### Header 参数

```text
Content-Type
string
可选
示例:
application/json
Authorization
string
可选
默认值:
Bearer {{YOUR_API_KEY}}
```

### Body 参数 application/json

```text
model
string
必需
prompt
string
必需
response_format
string
可选
size
string
可选
seed
integer
可选
guidance_scale
number
可选
watermark
boolean
可选
示例
{
"model"
:
"doubao-seedream-3-0-t2i-250415"
,
"prompt"
:
"鱼眼镜头，一只猫咪的头部，画面呈现出猫咪的五官因为拍摄方式扭曲的效果。"
,
"response_format"
:
"url"
,
"size"
:
"1024x1024"
,
"seed"
:
12
,
"guidance_scale"
:
2.5
,
"watermark"
:
true
}
```

## 请求示例代码

### Shell

```bash
curl --location --request POST '/v1/images/generations' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "model": "doubao-seedream-3-0-t2i-250415",
    "prompt": "鱼眼镜头，一只猫咪的头部，画面呈现出猫咪的五官因为拍摄方式扭曲的效果。",
    "response_format": "url",
    "size": "1024x1024",
    "seed": 12,
    "guidance_scale": 2.5,
    "watermark": true
}'
```

## 返回响应

### 🟢 200 成功

**内容类型**: `application/json`

#### 响应结构

```text
object
```

#### 示例

```json
{
    "created": 1754449685,
    "data": [
        {
            "url": "https://p26-aiop-sign.byteimg.com/tos-cn-i-vuqhorh59i/20250806110805A18DC8771446299614A7-5091-0~tplv-vuqhorh59i-image.image?rk3s=7f9e702d&x-expires=1754536085&x-signature=ZCQAhwmg95HcBu8n8xau%2F4XWtO0%3D",
            "revised_prompt": "NONE"
        }
    ]
}
```
